ChiliProject - Feature # 418: Disabling link to repository statistics for IE less then 9

Status: Needs more information Priority: Normal

Author: Jens Ulferts Category: SCM

Created: 2011-05-19 Assignee:

Updated: 2011-05-29 Due date:

Remote issue URL:

Affected version: 1.3.0

Description: As the repository statistics rely on canvas, IE 8 and less will not show them at all. In order to avoid showing

broken images to users surfing with those browsers, | propose to hide the link to the statistics for them.

History

2011-05-19 12:36 pm - Jens Ulferts
The pull request is here:

https://github.com/chiliproject/chiliproject/pull/60

unfortunately | used the wrong numbering. It should be 418 but is 419 in the commit message.

2011-05-19 01:23 pm - Gregor Schmidt
- Assignee deleted (Jens Ulferts)

- Status changed from Open to Ready for review

| have opened an alternative pull request based on Jens' work. This version uses an alternative version of "Downlevel-revealed conditional comment",

which are valid HTML but not super-officially documented by Microsoft. See the corresponding Wikipedia article for a detailed discussion:

http://en.wikipedia.org/w/index.php?title=Conditional_comment&oldid=427219256

The pull request may be found at https:/github.com/chiliproject/chiliproject/pull/61

2011-05-20 05:50 pm - Eric Davis

- Status changed from Ready for review to Needs more information

Thanks for the patches. I'm thinking there might be a better approach though. What about keeping the link but hiding the statistics on the actual page?
That way someone will know that "IE isn't supported" and they can use a different browser instead. That way we can still link to the statistics page and
don't have to worry about copying the "hide IE" html over.

2011-05-24 01:33 pm - Jens Ulferts

As much as | like your proposal Eric, | do not think it feasible in an enterprise environment where the users can not switch to a different browser.

For those users, the link will stay there as visual noise without them having the ability to do anything about it. | think it's not polite to mock users having
to use IE. They have a hard enough life anyway.

2011-05-27 03:21 pm - Eric Davis
Jens lliferts:

I'm not saying anything about mocking IE user. Not everything works across every browser, the best thing to do is to present a message explaining why
something doesn't work for them. In my opinion a single link isn't that much visual noise.
2011-05-29 06:20 pm - Eric Davis
- Target version deleted (2.0.0)

Pushing this out of 2.0.0, there isn't a clear decision and | don't want it to hold up the 2.0.0-RC. We can add this in a minor release later.
